Subject: Re: [PATCH 08/10] tree: use repo_parse_tree()

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 12 Jan 2026 10:21:45 +0100

On Fri, Jan 09, 2026 at 10:30:19PM +0100, René Scharfe wrote:
> e092073d64 (tree.c: make read_tree*() take 'struct repository *',
> 2018-11-18) replaced explicit uses of the_repository.  parse_tree() uses
> it internally, though, so call repo_parse_tree() instead and hand it the
> correct repository.

All of the conversions in preceding commits were trivial, so I feel like
they could've just been squashed together. Please feel free to ignore
this suggestion though.

Patrick